CUDNN Frontend API 8.3.0

Functions
OperationBuilder_v8

## Functions
auto | cudnn_frontend::OperationBuilder_v8::setxDesc (ManagedOpaqueDescriptor const &raw_tensor) -> OperationBuilder_v8 &
| Will be Deprecated Do not use. More...
auto | cudnn_frontend::OperationBuilder_v8::setxDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setbDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setyDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setwDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setdyDesc (ManagedOpaqueDescriptor const &raw_tensor) -> OperationBuilder_v8 &
| Will be Deprecated Do not use. More...
auto | cudnn_frontend::OperationBuilder_v8::setdyDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setdxDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setdwDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setcDesc (ConvDesc_v8 const &conv) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setaMatDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setbMatDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setcMatDesc (Tensor_v8 const &tensor) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setmatmulDesc (MatMulDesc_v8 const &matmulDesc) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setreductionDesc (ReductionDesc_v8 const &reductionDesc) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setpwDesc (PointWiseDesc_v8 const &pointWiseDesc) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setAlpha (float alpha) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setAlpha (double alpha) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setAlpha2 (float alpha) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setAlpha2 (double alpha) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setBeta (float beta) -> OperationBuilder_v8 &
auto | cudnn_frontend::OperationBuilder_v8::setBeta (double beta) -> OperationBuilder_v8 &
| cudnn_frontend::OperationBuilder_v8::OperationBuilder_v8 (cudnnBackendDescriptorType_t mode)

## Detailed Description

Set individual property of Operation_v8 class

## Function Documentation

## ◆ OperationBuilder_v8()

cudnn_frontend::OperationBuilder_v8::OperationBuilder_v8 | ( | cudnnBackendDescriptorType_t | mode | ) |
| inline

Definition at line 1317 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::op_mode.

## ◆ setAlpha() [1/2]

auto cudnn_frontend::OperationBuilder_v8::setAlpha | ( | float | alpha | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1281 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::alpha_d, and cudnn_frontend::Operation_v8::alpha_s.

## ◆ setAlpha() [2/2]

auto cudnn_frontend::OperationBuilder_v8::setAlpha | ( | double | alpha | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1287 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::alpha_d, and cudnn_frontend::Operation_v8::alpha_s.

## ◆ setAlpha2() [1/2]

auto cudnn_frontend::OperationBuilder_v8::setAlpha2 | ( | float | alpha | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1293 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::alpha2_d, and cudnn_frontend::Operation_v8::alpha2_s.

## ◆ setAlpha2() [2/2]

auto cudnn_frontend::OperationBuilder_v8::setAlpha2 | ( | double | alpha | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1299 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::alpha2_d, and cudnn_frontend::Operation_v8::alpha2_s.

## ◆ setaMatDesc()

auto cudnn_frontend::OperationBuilder_v8::setaMatDesc | ( | Tensor_v8 const & | tensor | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1161 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::amatdesc, and cudnn_frontend::set_error_and_throw_exception().

## ◆ setbDesc()

auto cudnn_frontend::OperationBuilder_v8::setbDesc | ( | Tensor_v8 const & | tensor | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1075 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::bdesc, and cudnn_frontend::set_error_and_throw_exception().

## ◆ setBeta() [1/2]

auto cudnn_frontend::OperationBuilder_v8::setBeta | ( | float | beta | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1305 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::beta_d, and cudnn_frontend::Operation_v8::beta_s.

## ◆ setBeta() [2/2]

auto cudnn_frontend::OperationBuilder_v8::setBeta | ( | double | beta | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1311 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::beta_d, and cudnn_frontend::Operation_v8::beta_s.

## ◆ setbMatDesc()

auto cudnn_frontend::OperationBuilder_v8::setbMatDesc | ( | Tensor_v8 const & | tensor | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1172 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::bmatdesc, and cudnn_frontend::set_error_and_throw_exception().

## ◆ setcDesc()

auto cudnn_frontend::OperationBuilder_v8::setcDesc | ( | ConvDesc_v8 const & | conv | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1141 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::alphabetaType, cudnn_frontend::Operation_v8::cdesc, and cudnn_frontend::set_error_and_throw_exception().

## ◆ setcMatDesc()

auto cudnn_frontend::OperationBuilder_v8::setcMatDesc | ( | Tensor_v8 const & | tensor | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1183 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::cmatdesc, and cudnn_frontend::set_error_and_throw_exception().

## ◆ setdwDesc()

auto cudnn_frontend::OperationBuilder_v8::setdwDesc | ( | Tensor_v8 const & | tensor | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1132 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::dwdesc.

## ◆ setdxDesc()

auto cudnn_frontend::OperationBuilder_v8::setdxDesc | ( | Tensor_v8 const & | tensor | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1123 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::dxdesc.

## ◆ setdyDesc() [1/2]

auto cudnn_frontend::OperationBuilder_v8::setdyDesc | ( | ManagedOpaqueDescriptor const & | raw_tensor | ) | -> OperationBuilder_v8 &
| inline

Will be Deprecated Do not use.

Definition at line 1110 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::dydesc.

## ◆ setdyDesc() [2/2]

auto cudnn_frontend::OperationBuilder_v8::setdyDesc | ( | Tensor_v8 const & | tensor | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1115 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::dydesc.

## ◆ setmatmulDesc()

auto cudnn_frontend::OperationBuilder_v8::setmatmulDesc | ( | MatMulDesc_v8 const & | matmulDesc | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1194 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::matmuldesc, and cudnn_frontend::set_error_and_throw_exception().

## ◆ setpwDesc()

auto cudnn_frontend::OperationBuilder_v8::setpwDesc | ( | PointWiseDesc_v8 const & | pointWiseDesc | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1216 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::is_pointwise_activation_bwd_op, cudnn_frontend::Operation_v8::is_pointwise_activation_fwd_op, cudnn_frontend::Operation_v8::is_pointwise_math_op, cudnn_frontend::Operation_v8::pointwise_mode, cudnn_frontend::Operation_v8::pointwise_port_count, cudnn_frontend::Operation_v8::pwdesc, and cudnn_frontend::set_error_and_throw_exception().

## ◆ setreductionDesc()

auto cudnn_frontend::OperationBuilder_v8::setreductionDesc | ( | ReductionDesc_v8 const & | reductionDesc | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1205 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::reductiondesc, and cudnn_frontend::set_error_and_throw_exception().

## ◆ setwDesc()

auto cudnn_frontend::OperationBuilder_v8::setwDesc | ( | Tensor_v8 const & | tensor | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1094 of file cudnn_frontend_Operation.h.

References cudnn_frontend::set_error_and_throw_exception(), and cudnn_frontend::Operation_v8::wdesc.

## ◆ setxDesc() [1/2]

auto cudnn_frontend::OperationBuilder_v8::setxDesc | ( | ManagedOpaqueDescriptor const & | raw_tensor | ) | -> OperationBuilder_v8 &
| inline

Will be Deprecated Do not use.

Definition at line 1060 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::xdesc.

## ◆ setxDesc() [2/2]

auto cudnn_frontend::OperationBuilder_v8::setxDesc | ( | Tensor_v8 const & | tensor | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1066 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::xdesc.

## ◆ setyDesc()

auto cudnn_frontend::OperationBuilder_v8::setyDesc | ( | Tensor_v8 const & | tensor | ) | -> OperationBuilder_v8 &
| inline

Definition at line 1086 of file cudnn_frontend_Operation.h.

References cudnn_frontend::Operation_v8::ydesc.